Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.parsers
Class SAXParser

    java.lang.Object
      |
      +--weblogic.apache.xerces.parsers.XMLParser
            |
            +--weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
                  |
                  +--weblogic.apache.xerces.parsers.AbstractSAXParser
                        |
                        +--weblogic.apache.xerces.parsers.SAXParser

public class SAXParser
extends AbstractSAXParser

This is the main Xerces SAX parser class. It uses the abstract SAX parser with a document scanner, a dtd scanner, and a validator, as well as a grammar pool.

Inner classes inherited from class weblogic.apache.xerces.parsers.AbstractSAXParser
`AbstractSAXParser.AttributesProxy, AbstractSAXParser.LocatorProxy`

Field Summary
`protected static java.lang.String` | `NOTIFY_BUILTIN_REFS` Feature identifier: notify built-in refereces.
`protected static java.lang.String` | `SYMBOL_TABLE` Property identifier: symbol table.
`protected static java.lang.String` | `XMLGRAMMAR_POOL` Property identifier: XML grammar pool.

Fields inherited from class weblogic.apache.xerces.parsers.AbstractSAXParser
`DECLARATION_HANDLER, DOM_NODE, fContentHandler, fDeclHandler, fDocumentHandler, fDTDHandler, fLexicalHandler, fNamespacePrefixes, fNamespaces, fNormalizeData, fParseInProgress, fQName, LEXICAL_HANDLER, NAMESPACE_PREFIXES, NAMESPACES, NORMALIZE_DATA, STRING_INTERNING`

Fields inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`fDocumentSource, fInDTD`

Fields inherited from class weblogic.apache.xerces.parsers.XMLParser
`ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

Constructor Summary
`SAXParser()` Constructs a SAX parser using the dtd/xml schema parser configuration.
`SAXParser(SymbolTable symbolTable)` Constructs a SAX parser using the specified symbol table.
`SAXParser(SymbolTable symbolTable, XMLGrammarPool grammarPool)` Constructs a SAX parser using the specified symbol table and grammar pool.
`SAXParser(XMLParserConfiguration config)` Constructs a SAX parser using the specified parser configuration.

Methods inherited from class weblogic.apache.xerces.parsers.AbstractSAXParser
`attributeDecl, characters, comment, doctypeDecl, elementDecl, endCDATA, endDocument, endDTD, endElement, endExternalSubset, endGeneralEntity, endParameterEntity, endPrefixMapping, externalEntityDecl, getAttributePSVI, getAttributePSVIByName, getContentHandler, getDeclHandler, getDTDHandler, getElementPSVI, getEntityResolver, getErrorHandler, getFeature, getLexicalHandler, getProperty, ignorableWhitespace, internalEntityDecl, notationDecl, parse, parse, processingInstruction, reset, setContentHandler, setDeclHandler, setDocumentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setLexicalHandler, setLocale, setProperty, startCDATA, startDocument, startElement, startExternalSubset, startGeneralEntity, startParameterEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class weblogic.apache.xerces.parsers.AbstractXMLDocumentParser
`any, element, empty, emptyElement, endAttlist, endConditional, endContentModel, endGroup, getDocumentSource, ignoredCharacters, occurrence, pcdata, separator, setDocumentSource, startAttlist, startConditional, startContentModel, startDTD, startGroup, textDecl, xmlDecl`

Methods inherited from class weblogic.apache.xerces.parsers.XMLParser
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOTIFY_BUILTIN_REFS

    protected static final java.lang.String NOTIFY_BUILTIN_REFS

  Feature identifier: notify built-in refereces.

### SYMBOL_TABLE

    protected static final java.lang.String SYMBOL_TABLE

  Property identifier: symbol table.

### XMLGRAMMAR_POOL

    protected static final java.lang.String XMLGRAMMAR_POOL

  Property identifier: XML grammar pool.

Constructor Detail

### SAXParser

    public SAXParser(XMLParserConfiguration config)

  Constructs a SAX parser using the specified parser configuration.

### SAXParser

    public SAXParser()

  Constructs a SAX parser using the dtd/xml schema parser configuration.

### SAXParser

    public SAXParser(SymbolTable symbolTable)

  Constructs a SAX parser using the specified symbol table.

### SAXParser

    public SAXParser(SymbolTable symbolTable,
                     XMLGrammarPool grammarPool)

  Constructs a SAX parser using the specified symbol table and grammar pool.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD